Layer7 API Management

Expand all | Collapse all

Can policies be migrated from version 8.3 to 9.2?

Jump to Best Answer
  • 1.  Can policies be migrated from version 8.3 to 9.2?

    Posted 10-27-2017 11:28 AM

    Hi,

     

    We're using GMU to migrate policies from one gateway to another. Currently, we're wondering if we could use this tool to migrate from version 8.3 to 9.2.

     

    Are there any restrictions/considerations to have into account?

     

    Thanks in advance,

    -Jaime



  • 2.  Re: Can policies be migrated from version 8.3 to 9.2?
    Best Answer

    Posted 10-30-2017 10:12 AM

    Hi GMU is version dependent but this would likely work. The key concern is obviously modified assertions like Encrypt/decrypt JSON etc.. If something has dramatically changed between versions, it likely wont map 100 percent. But in theory most items should likely work. Have you attempted it yet? And if so did you have specific problems? Since it is version dependent there may be small caveats, but for a majority of items I expect it would work though not traditionally supported to my knowledge.



  • 3.  Re: Can policies be migrated from version 8.3 to 9.2?

     
    Posted 11-07-2017 12:58 PM

    In addition to Charlie's comments, you can likely get this to work some manageMappings commands to handle any import errors with changes to assertions between versions etc (or anything else that may conflict).

     

    If you want to try it out and record errors and/or issues, we could potentially assist.